package report_view_log

import (
	"time"
)

type ReportViewLog struct {
	Id                  int          `gorm:"primaryKey;column:id;type:int(11) unsigned;not null" json:"-"`
	UserId              uint64          `gorm:"column:user_id;type:int(11)"  json:"user_id"`
	ReportId            int 		 `gorm:"column:report_id;type:int(11)"  json:"report_id"`
	CreateTime          time.Time    `gorm:"column:create_time;type:datetime"  json:"create_time"`
}

func (reportLog *ReportViewLog) TableName() string  {
	return "report_view_log"
}